Subject: [bug#67244] [PATCH] gnu: mu: Update to 1.10.8 and re-enable Guile bindings

From: Christopher Baines <[email-masked]>
Date: Thu, 23 Nov 2023 16:20:18 +0000

Thiago Jung Bauermann <[email-masked]> writes:

> Version 1.10.8 fixes the installation of the Guile bindings, so we can
> enable it again.
>
> * gnu/packages/mail.scm (mu): Update to 1.10.7.
>   [inputs]: Add guile-3.0.
>   [arguments]: Add "-Dguile-extension-dir" to #:configure-flags.
>   Add fix-ffi phase to allow Guile module to load its native library.
>
> Change-Id: I2a8250d8d6298712ad116b1d88157a4344175722
> ---
>
> Hello,
>
> I find the Guile bindings useful, so I'd like to reenable them.
> I've tested that my script that uses them is working.
>
> Kind regards,
> Thiago
>
>  gnu/packages/mail.scm | 13 ++++++++++---
>  1 file changed, 10 insertions(+), 3 deletions(-)

Thanks for the patch, I've pushed this to master as
c26ed5d6b971af11894015979f1e260df571a2be.

Chris